Subject: bug#10960: linum-mode does not work properly when changing font size

From: Juanma Barranquero <[email-masked]>
Date: Sun, 11 Mar 2012 17:01:02 +0100

On Sat, Mar 10, 2012 at 19:28, Stefan Monnier <[email-masked]> wrote:

> We need some more general way to
> adjust the size of the margin to the size of the images&text displayed
> there, so as to handle non-default faces, proportional text, ...

OK, but that's a long way from your earlier answer in bug#1255: "So,
yes, the problem lies somewhat in linum-mode which should resize the
margin accordingly, tho it's far from easy for it to do so (and it can
only do it in increments of the base default font size)." We need a
way to adjust the size of the margin, but linum-mode et al. should do
nothing more** that set a margin width (in character cells); any
subsequent width change should be transparent for it/them.

**In fact, I don't see a way for two packages to coordinate uses of
the margin (let's suppose I write a package which uses the margin to
mark bookmarked places and I also want to use linum in the same
buffer); but that's unrelated to margin auto-resizing.

    Juanma